%global gem_name cloudfiles
%global rubyabi 1.9.1

Summary: A Ruby version of the Rackspace Cloud Files API
Name: rubygem-%{gem_name}
Version: 1.5.0.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/rackspace/ruby-cloudfiles
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi} 
Requires: rubygem(mime-types)
BuildRequires: ruby(abi) = %{rubyabi} 
BuildRequires: rubygems-devel
BuildRequires: rubygem(mime-types)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
A Ruby version of the Rackspace Cloud Files API.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install -V --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;
rm -f %{buildroot}/%{gem_instdir}/.gitignore
rm -f %{buildroot}/%{gem_instdir}/Manifest
rm -f %{buildroot}/%{gem_instdir}/cloudfiles.gemspec
rm -f %{buildroot}/%{gem_instdir}/Gemfile
cd %{buildroot}/%{gem_instdir}/

%check
pushd %{buildroot}%{gem_instdir}
testrb test/*_test.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/


%files doc
%defattr(-, root, root, -)
%{gem_instdir}/test
%{gem_instdir}/Rakefile
%{gem_docdir}

%changelog
* Mon Feb 20 2012 Major Hayden <major@mhtx.net> - 1.5.0.1-1
- New upstream release 1.5.0.1.

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.4.17-4
- Rebuilt for Ruby 1.9.3.
- Fixed license.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 08 2011 Major Hayden <major@mhtx.net> - 1.4.17-2
- Added the test_write_with_no_data_dies patch back in

* Wed Jun 08 2011 Major Hayden <major@mhtx.net> - 1.4.17-1
- New upstream version 1.4.17
- Added two patches to disable faulty tests
- Removed the test_write_with_no_data_dies patch present in 1.4.10-3

* Fri Mar 04 2011 Major Hayden <major@mhtx.net> - 1.4.10-3
- Added a patch to disable the problematic test_write_with_no_data_dies test

* Tue Mar 01 2011 Major Hayden <major@mhtx.net> - 1.4.10-2
- Added ruby(abi) Requires/BuildRequires lines per packaging guidelines

* Sun Jan 30 2011 Major Hayden <major@mhtx.net> - 1.4.10-1
- Initial package
